.activity {
    display: grid;
    grid-row-gap: rem(24);
    grid-template-columns: 1fr;

    &__group {

    }

    &__item {
        color: $white;
        font-weight: 600;
        font-size: rem(32);
        line-height: rem(38);
        text-align: center;
        text-decoration: none;
        background: rgba(0, 0, 0, 0.4);

        &--lg {
            display: block;
        }

        &:hover {
            color: $white;
            text-decoration: none;

            .activity {

                &__image {
                    -webkit-filter: grayscale(0%);
                    -moz-filter: grayscale(0%);
                    -ms-filter: grayscale(0%);
                    -o-filter: grayscale(0%);
                    filter: grayscale(0%);
                    transition: .3s;

                    img {
                        transform: scale(1.15);
                        transition: .3s;
                    }
                }
            }
        }
    }

    &__image {
        max-width: 100%;
        overflow: hidden;
        display: block;
        height: rem(172);
        -webkit-filter: grayscale(100%);
        -moz-filter: grayscale(100%);
        -ms-filter: grayscale(100%);
        -o-filter: grayscale(100%);
        filter: grayscale(100%);
        transition: .3s;

        img {
            transform: scale(1);
            transition: .3s;
        }
    }

    &__content {
        padding: rem(12) rem(16);
        height: rem(172);
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__title {
        display: block;
    }

    @include media-breakpoint-up(md) {
        grid-row-gap: rem(32);

        &__group {
            display: grid;
            grid-row-gap: rem(32);
            grid-column-gap: rem(32);
            grid-template-columns: 1fr 1fr;
        }

        &__item {
            font-size: rem(24);
            line-height: rem(32);
            display: flex;
            flex-direction: column;

            &--lg {
                font-size: rem(32);
                line-height: rem(38);
                grid-column-start: 1;
                grid-column-end: 3;

                .activity {

                    &__image {
                        height: rem(534);
                    }
                }
            }

            &--md {
                font-size: rem(32);
                line-height: rem(38);
                flex-direction: row;
                grid-column-start: 1;
                grid-column-end: 3;

                .activity {

                    &__image {
                        height: auto;
                        width: 50%;
                        flex-shrink: 0;
                    }

                    &__content {
                        height: auto;
                        width: 50%;
                        flex-shrink: 0;
                    }
                }
            }
        }
    }

    @include media-breakpoint-up(lg) {
        grid-column-gap: rem(32);
        grid-template-columns: 1fr 1fr;

        &__item {
            font-size: rem(20);
            line-height: rem(28);

            &--lg {
                font-size: rem(30);
                line-height: rem(36);

                .activity {

                    &__image {
                        height: rem(400);
                    }
                }
            }

            &--md {
                font-size: rem(30);
                line-height: rem(36);
                height: rem(285);
            }
        }

        &__image {
            height: auto;
            flex-grow: 1;
        }

        &__content {
            height: rem(120);
        }
    }

    @include media-breakpoint-up(xl) {

        &__item {
            border: 2px solid $gray;
            transition: .3s;

            &:hover {
                border-color: $yellow;
                background: rgba(119, 99, 69, 0.5);
                transition: .3s;
            }

            &--lg {

                .activity {

                    &__image {
                        height: rem(432);
                    }

                    &__content {
                        height: rem(160);
                    }
                }
            }

            &--md {
                height: rem(339);
            }
        }

        &__image {
            height: auto;
            flex-grow: 1;
        }

        &__content {
            height: rem(130);
            flex-shrink: 0;
        }
    }

    @include media-breakpoint-up(xxl) {
        grid-row-gap: rem(48);
        grid-column-gap: rem(48);

        &__group {
            grid-row-gap: rem(48);
            grid-column-gap: rem(48);
        }

        &__item {
            font-size: rem(32);
            line-height: rem(38);

            &--lg {
                font-size: rem(48);
                line-height: rem(54);

                .activity {

                    &__image {
                        height: rem(608);
                    }

                    &__content {
                        height: rem(240);
                    }
                }
            }

            &--md {
                font-size: rem(48);
                line-height: rem(54);
                height: rem(466);
            }
        }

        &__content {
            height: rem(180);
        }
    }
}
